# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetGroupClass

Function

Returns the subclass of a Group Object.

Syntax
`
#include <dx/dx.h>
`

Class DXGetGroupClass(Group g)

Functional Details

Returns the subclass of a Group Object `g`. This will be `CLASS_GROUP` if the Object is a generic Group Object, or either `CLASS_SERIES`, `CLASS_MULTIGRID`, or `CLASS_COMPOSITEFIELD` if the Object class is a subclass of Group.

A `CLASS_GROUP` Object and its subclasses contain other Objects that are referred to as members. The members of a `CLASS_GROUP` Object can be of any class and are not restricted as to type, whereas the `CLASS_SERIES`, `CLASS_MULTIGRID`, and `CLASS_COMPOSITEFIELD` generally contain members of `TYPE_FIELD,` and they assume the type of the first typed member to be added and are untyped if empty. All of the subclasses require that the type of all its members is the same; see `DXSetGroupType`. A `CLASS_SERIES` is generally used to maintain time-variant data, whereas the `CLASS_COMPOSITEFIELD` and `CLASS_MULTIGRID` are used to maintain spatially partitioned data within a single field.

Note: | A Group can be structured to take advantage of more than one Group class. For example, one could have a Series of Composite Fields where each Series member is a Field that has been partitioned into a Composite Field.

Return Value

Returns the subclass of a Group Object or returns an undefined value if `g` is not a Group. The subclass returned will be:

- `CLASS_GROUP`, if the Object is a generic Group Object; or
- `CLASS_SERIES`, `CLASS_MULTIGRID`, or `CLASS_COMPOSITEFIELD`, if the Object class is a subclass of `Group`.

See Also

`DXGetObjectClass, DXNewCompositeField, DXNewGroup, DXNewMultiGrid, DXNewSeries`

"Generic Operations".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]